WESNOTH(6)

NAME
wesnoth - Battle for Wesnoth, a turn-based fantasy strategy game

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIPTION
Battle for Wesnoth is a turn-based fantasy strategy game. Defeat all enemy leaders using a well-chosen cadre of troops, taking care to manage your resources of gold and villages. All units have their own strengths and weaknesses; to win, deploy your forces to their best advantage while denying your foes the chance to do the same. As units gain experience, they acquire new abilities and become more powerful. Play in your own language and test your skill against a smart computer opponent, or join Wesnoth's large community of online players. Create your own custom units, scenarios or campaigns, and share them with others.

OPTIONS

--bpp number
    sets BitsPerPixel value. Example: --bpp 32

-c, --campaign  [<id_campaign>]
    goes directly to the campaign with id <id_campaign>. A selection menu will appear if no id was specified. Note: When using this switch please ensure that you specify the data directory path as the final argument as well, otherwise the game will take the campaign/scenario id as the data dir.

--campaign-difficulty [<difficulty>]
    The difficulty of the specified campaign (1 to max). If none specified, the campaign difficulty selection widget will appear.

--campaign-scenario <id_scenario>
    The id of the scenario from the specified campaign. The default is the first scenario.

--data-dir <directory>
    overrides the data directory with the one specified

--data-path
    prints the path of the data directory and exits.

-d, --debug
    enables additional command mode options in-game (see the wiki page at http://www.wesnoth.org/wiki/CommandMode for more information about command mode).

-e, --editor file
    start the in-game map editor directly. If file is specified, equivalent to -l --load

--fps
    displays the number of frames per second the game is currently running at, in a corner of the screen.

-f, --fullscreen
    runs the game in full screen mode.

--gunzip infile.gz
    decompresses a file which should be in gzip format and stores it without the .gz suffix. The infile.gz will be removed.

--gzip infile
    compresses a file in gzip format, stores it as infile.gz and removes infile.

-h, --help
    displays a summary of command line options to standard output, and exits.

-l, --load file
    loads the savegame file from the standard save game directory. If the -e or --editor option is used as well, starts the editor with the map from file open. If it is a directory, the editor will start with a load map dialog opened there.

--log-level=domain1,domain2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used.

--logdomains [filter]
    lists defined log domains (only the ones containing filter if used) and exits

--max-fps
    the number of frames per second the game can show, the value should be between the 1 and 1000, the default is 50.

-m, --multiplayer
    runs a multiplayer game. There are additional options that can be used together with --multiplayer as explained below. Only these additional options can follow --multiplayer.

--no-delay
    runs the game without any delays for graphic benchmarking. This is automatically enabled by --nogui.

--nocache
    disables caching of game data.

--nomusic
    runs the game without music.

--nosound
    runs the game without sounds and music.

--path
    prints the name of the game data directory and exits.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file, a plain .cfg file and a processed .cfg file will be written in the specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macros from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor, visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma-separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <source file>
    used only by the '--preprocess' command. Specifies a file that contains [preproc_define]s to be included before preprocessing.

--preprocess-output-macros [<target file>]
    used only by the '--preprocess' command. Will output all preprocessed macros in the target file. If the file is not specified the output will be file '_MACROS_.cfg' in the target directory of preprocess's command. This switch should be typed before the --preprocess command.

-r XxY, --resolution XxY
    sets the screen resolution. Example: -r 800x600

-s, --server [host]
    connects to the specified host if any, otherwise connect to the first server in preferences. Example: --server server.wesnoth.org

--username<username>
    uses <username> when connecting to a server, ignoring other preferences.

--password<password>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    validation errors are treated as fatal errors.

-t, --test
    runs the game in a small test scenario.

--userconfig-dir name
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this is set to $XDG_CONFIG_HOME or $HOME/.config/wesnoth by default, on other systems to the userdata path.

--userconfig-path
    prints the path of the user configuration directory and exits.

--userdata-dir name
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    assumes that the cache is valid. (dangerous)

-v, --version
    shows the version number and exits.

-w, --windowed
    runs the game in windowed mode.

--with-replay
    replays the game loaded with the --load option.

Options for --multiplayer
The side-specific multiplayer options are marked with number. number has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the chosen scenario.

--ai_confignumber=value
    selects a configuration file to load for the AI controller for this side.

--algorithmnumber=value
    selects a non-standard algorithm to be used by the AI controller for this side. Available values: idle_ai and sample_ai.

--controllernumber=value
    selects the controller for this side. Available values: human and ai.

--era=value
    use this option to play in the selected era instead of the Default era. The era is chosen by an id. Eras are described in the data/multiplayer/eras.cfg file.

--exit-at-end
    exits once the scenario is over, without displaying victory/defeat dialog which requires the user to click OK. This is also used for script-based benchmarking.

--ignore-map-settings
    do not use map settings, use default values instead.

--multiplayer-repeat=value
    repeats a multiplayer game value times. Best to use with --nogui for script-based benchmarking.

--nogui
    runs the game without the GUI. Must appear before --multiplayer to have the desired effect.

--parmnumber=name:value
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be useful for people designing their own AI. (not yet documented completely)

--scenario=value
    selects a multiplayer scenario by id. The default scenario id is multiplayer_The_Freelands.

--sidenumber=value
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

--turns=value
    sets the number of turns for the chosen scenario. The default is 50.

EXIT STATUS
Normal exit status is 0. An exit status of 1 indicates an (SDL, video, fonts, etc) initialization error. An exit status of 2 indicates an error with the command line options.

AUTHOR
Written by David White <davidnwhite@verizon.net>.
Edited by Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton.de@gmail.com>.
This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wesnothd(6).